[EP-tech] Version 3.3.10 METS Importer

Moritz Schepp schepp at ist.ac.at
Tue Jun 12 15:36:36 BST 2012


Hey,

I want to upgrade to EPrints version 3.3.10, which seems to have 
refactored the import/sword code to
perl_lib/EPrints/Plugin/Import/*

With Version 3.2.4, there was a
perl_lib/EPrints/Plugin/Sword/*

which was handling METS packages nicely and it is not there any more. 
None of the new import plugins seems to offer the functionality of 
importing a METS file. Is this correct?

And if yes then would it be sensible to derive a new import plugin from
EPrints::Plugin::Import::Compressed

which seems the right choice?

Thanks in advance,
Moritz


More information about the Eprints-tech mailing list